<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 02:48
 */

declare(strict_types = 1);
$c = 0;
$ite = new RecursiveDirectoryIterator('k:\tmp\faker_dir');
//$ite = new RecursiveDirectoryIterator('c:\tmp\Laracasts\Languages');
//$ite = new RecursiveDirectoryIterator('w:\tmp\Laracasts\Languages\PHP');

foreach (new RecursiveIteratorIterator($ite) as $filename => $cur) {
    $pathInfo = pathinfo($filename);

    if ($pathInfo['extension'] !== 'mp4') {
        continue;
    }

    $lnkFile = $filename . '.LNK';
    if (! file_exists($lnkFile)) {
        symlink($filename, $lnkFile);
    }

    if (file_exists($lnkFile)) {
        echo "<p>deleted $filename</p>";
        //unlink($filename);
    }
}
