<?php

/**
 * @parcel: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 19:59
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

interface ParcelInterface
{
    /**
     * @return void
     */
    public function getConsist(): void;

    /**
     * @param  string  $destination
     *
     * @return $this
     */
    public function setDestination(string $destination): static;
}
