<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 09:39
 */

declare(strict_types = 1);

namespace Pattern\SOLID\LiskovSubstitution;

use Pattern\SOLID\LiskovSubstitution\Bird;

class Ostrich extends Bird
{
    public function fly(): int
    {
        return 0; //I am not able to fly
    }

    public function swim(): int
    {
        return 12;
    }
}
