<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 05:27
 */

declare(strict_types = 1);

namespace Pattern\SOLID\OpenClosed\Figures;

class Square implements ShapeInterface
{
    public function __construct(public int|float $width, public int|float $height) {}

    /**
     * @return int|float
     */
    public function area(): int|float
    {
        return $this->width * $this->height;
    }
}