<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 06:19
 */

declare(strict_types = 1);

namespace Pattern\SOLID\OpenClosed\Payments;

class Checkout
{
    public function begin(Receipt $receipt, PaymentMethodInterface $payment): void
    {
        $payment->acceptPayment($receipt);
    }
}