<?php

/**
 * @parcel: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-08
 * @time: 10:59
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

class DeliveryServiceFactory
{
    public static function create(ProvidersEnum $provider): AbstractFactoryInterface
    {
        return $provider->getService();
    }
}
