<?php

/**
 * @parcel: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 19:57
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

class JustinDeliveryService implements DeliveryServiceInterface
{
    public function sendParcel(ParcelInterface $parcel): bool
    {
        /** @noinspection ForgottenDebugOutputInspection */
        dump("Sending parcel via Justin...");

        return true;
    }
}
