<?php

/**
 * @parcel: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 20:00
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

class MeestParcel implements ParcelInterface
{
    public function getConsist(): void
    {
        /** @noinspection ForgottenDebugOutputInspection */
        dump('Checking parcel from Meest...');
    }

    public function setDestination(string $destination): static
    {
        echo "<pre>$destination</pre></<br>";

        return $this;
    }
}
