<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 09:35
 */

declare(strict_types = 1);

namespace Pattern\SOLID\LiskovSubstitution;

class Duck extends Bird
{
    public function fly(): int
    {
        return 8;
    }

    public function swim(): int
    {
        return 2;
    }

    public function run(): int
    {
        return 3;
    }
}
