<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 05:32
 */

declare(strict_types = 1);

namespace Pattern\SOLID\OpenClosed\Figures;

class Circle implements ShapeInterface
{
    public function __construct(public int|float $radius) {}

    /**
     * @return int|float
     */
    public function area(): int|float
    {
        return M_PI * ($this->radius ** 2);
    }
}