<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 03:51
 */

declare(strict_types = 1);

namespace Pattern\SOLID\SingleResponsibility;
?>
    <style>
        span {
            color: green;
        }
    </style>
<?php

class HtmlOutput implements SalesReportOutputInterface
{
    public function output($sales): string
    {
        return "<h2>Sales: <span>$" . number_format($sales, 2) . "</span>></h2>";
    }
}
