<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-07
 * @time: 03:45
 */

declare(strict_types = 1);

namespace Pattern\SOLID\SingleResponsibility;

class SalesRepository
{
    /**
     * Just emulate db query
     *
     * @param $startDate
     * @param $endDate
     *
     * @return float
     */
    public function between($startDate, $endDate): float
    {
        /** @noinspection ForgottenDebugOutputInspection */
        dump($startDate, $endDate);

        return 192_273_221 / 100;
    }
}
