<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 21:26
 */

declare(strict_types = 1);

$request_uri = $_SERVER["REQUEST_URI"];
const DIR_VIEW = '../resources/view';

$slugs = ['patterns', 'principles', 'tools'];
$regex_pattern = '/^\/(' . implode('|', $slugs) . ')\/([a-z0-9-]+)/';

if (preg_match($regex_pattern, $request_uri, $matches) && isset($matches[1])) {

    [$uri, $controller, $view] = $matches;
    $filepath = realpath(DIR_VIEW . $uri . '.php');
    if (file_exists($filepath)) {
        require $filepath;
    }
}





/*if (preg_match($regex_pattern, $request_uri, $matches)) {
    $filepath = DIR_VIEW . "$slug/" . $matches[1] . '.php';

    if (isset($matches[1]) && file_exists($filepath)) {
        require $filepath;
    }
} else {
    try {
        abord(404);
    } catch (RandomException $e) {
        /** @noinspection ForgottenDebugOutputInspection */
// dump($e->getMessage());
///}
//}*/
